
void demo_setup_game()
{
  Serial.println("Demo");
  itemDirX=16;
  itemDirY=16;
  ballX=16;
  ballY=16;
  dmd.clearScreen(0);
  dmd.drawCircle(ballX,ballY,5,WHITE);
  nunchuck_wait();
}


void demo_loop()
{ 
  int ret = nunchuck_get_data();
  if (!ret) {
    delay(500);
    nunchuck_init();
  } else {
    if (nunchuck_cbutton()){
        gameType=NONE;
        return;
    }
    int joyY=nunchuck_joyy();
    int joyX=nunchuck_joyx();  
    if (joyX<64) itemDirX--;
    if (joyX>172) itemDirX++;
    if (joyY<64) itemDirY++;
    if (joyY>172) itemDirY--;
    if (nunchuck_cbutton()){
        gameType=NONE;
        return;
    }
    
    if (itemDirX<5)itemDirX=5;
    if (itemDirX>26)itemDirX=26;
    if (itemDirY<5)itemDirY=5;
    if (itemDirY>26)itemDirY=26;
    
    if (ballX != itemDirX || ballY != itemDirY) {
      dmd.clearScreen(0);
      ballX=itemDirX;
      ballY=itemDirY;
      dmd.drawCircle(ballX,ballY,5,WHITE);

    }
    delay(50);  
  }
}

